Subject: bug#5534: reproducable hang with non-ascii characters in Wanderlust draft

From: Stefan Monnier <[email-masked]>
Date: Sun, 07 Feb 2010 20:26:35 -0500

> I've been mentioning this bug before, but finally I have some easy steps to
> reproduce, plus a backtrace. I've seen this problem with the Ubuntu-packaged
> versions of wl-beta and emacs23, and now reproduced this with a recent bzr
> built of emacs and the wl packages as built from Dave Abrahams' git repo.

> The procedure to reproduce (in my case) are quite easy: type some non-ascii
> characters in a draft message in Wanderlust, something like

> äëïöÿüäëïöüÿäëïöüÿäëïöüÿäëïöüÿäëïöüÿäëïöüÿäëïöüÿäëïöüÿäëïöüÿäëïöüÿäëïöüÿäëïöü

> Try to save the draft (C-x s). This works. Now, copy the line about 50 times,
> so you have a whole block of these characters. If I now try to save, emacs
> gets very busy (CPU goes to the max), and it never seems to recover (waited
> for at least 15 minutes), and I have to kill emacs.

What happens if you set debug-on-quit (via Options => Enter debugger on Quit)
and then hit C-g when Emacs seems to hang?

> See the attached backtrace
> - it was from an -O2 build, but I hope it contains enough info for those in
>   the know.

It lacks the crucial info, which is the Lisp backtrace.  If you start
Emacs from the .../emacs/src directory or if you explicitly
"source .../emacs/src/.gdbinit" then you can get the Lisp backtrace with
"xbacktrace".

        Stefan